View Issue Details

IDProjectCategoryView StatusLast Update
0001858WishesMacropublic2013-02-03 00:33
ReporterRaistlin Assigned Tovskirdin  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86OSWindows 
Product Version3.0 
Fixed in Version3.0 
Summary0001858: Возвращать 0 при закрытии диалога prompt() по Esc
DescriptionПредлагаю возвращать числовое значение 0 при закрытии диалога prompt() по Esc. Это позволит различать ввод пустого значения и закрытие диалога с целью все отменить.
На форуме: http://forum.farmanager.com/viewtopic.php?f=15&t=6404
TagsNo tags attached.
Build2172

Activities

vskirdin

2011-08-23 16:47

administrator   bugnote:0007513

build 2160

Raistlin

2011-08-23 17:05

reporter   bugnote:0007514

Тестовый билд будет?

vskirdin

2011-08-23 17:53

administrator   bugnote:0007515

http://skirda-file.googlecode.com/files/Far_2161.7z

Raistlin

2011-08-25 10:49

reporter   bugnote:0007526

Что-то не то. Вот макрос:

%s=prompt("1","2",0,"3","4"); $If (%s || %s == "") msgbox("") $End

msgbox на экран вылезает всегда. При Esc - тоже. Хотя

$If (0 == "") msgbox("") $End

ничего на экран не выдает.

vskirdin

2011-08-25 12:23

administrator   bugnote:0007528

build 2172
куда то "else Result=0;" делся :-(

Raistlin

2011-08-25 12:25

reporter   bugnote:0007529

Билд, пожалуйста...

vskirdin

2011-08-25 12:28

administrator   bugnote:0007532

http://skirda-file.googlecode.com/files/Far_2172.7z

Raistlin

2011-08-25 12:32

reporter   bugnote:0007533

Работает.

Issue History

Date Modified Username Field Change
2011-08-23 11:19 Raistlin New Issue
2011-08-23 16:47 vskirdin Note Added: 0007513
2011-08-23 16:47 vskirdin Assigned To => vskirdin
2011-08-23 16:47 vskirdin Status new => feedback
2011-08-23 17:05 Raistlin Note Added: 0007514
2011-08-23 17:05 Raistlin Status feedback => assigned
2011-08-23 17:53 vskirdin Note Added: 0007515
2011-08-23 17:53 vskirdin Status assigned => feedback
2011-08-25 10:49 Raistlin Note Added: 0007526
2011-08-25 10:49 Raistlin Status feedback => assigned
2011-08-25 12:23 vskirdin Note Added: 0007528
2011-08-25 12:23 vskirdin Status assigned => feedback
2011-08-25 12:25 Raistlin Note Added: 0007529
2011-08-25 12:25 Raistlin Status feedback => assigned
2011-08-25 12:28 vskirdin Note Added: 0007532
2011-08-25 12:28 vskirdin Status assigned => feedback
2011-08-25 12:32 Raistlin Note Added: 0007533
2011-08-25 12:32 Raistlin Status feedback => assigned
2011-08-25 12:32 Raistlin Status assigned => resolved
2011-08-27 19:41 vskirdin Build => 2172
2011-08-27 19:41 vskirdin Status resolved => closed
2011-08-27 19:41 vskirdin Resolution open => fixed
2011-08-27 19:41 vskirdin Fixed in Version => 3.0
2013-02-03 00:33 alexy Severity minor => feature